desproxy-socksserver(1)

NAME
desproxy-socksserver - Using desproxy with dynamic connections

SYNOPSIS
  desproxy-socksserver proxy_host proxy_port local_port

OPTIONS
None.

DESCRIPTION
You can see that for every application that needs to be un-proxyzed you have to start a desproxy program. That is OK if you are using irc, ssh or other application that always connects to the same server. But if you need to dynamically establish TCP connections it's impossible to follow that path.

That's why desproxy-socksserver, which is just a desproxy implementation of a Socks 5 Server. A Socks 5 Server is like a "TCP proxy": you just request a TCP connection and the Socks 5 Server does the work for you. Of course, client applications need to have support for Socks 5 Server.

ENVIRONMENT
None.

FILES
None.

SEE ALSO
dnsproxy(1)

AUTHORS
This manual page was written by Jari Aalto <jari.aalto@cante.net>, for the Debian GNU system (but may be used by others). Released under license GPL v2 or any later version.